; ---------------------------------------------------------
;	BIOS for H8/3048F
; =========================================================
;	(C)2004 t.hara
; ---------------------------------------------------------

	.cpu	300HA

; ---------------------------------------------------------
;	Imports
			.include	"lcddrv.inc"		; LCD driver
			.include	"timing.inc"		; software timer

; ---------------------------------------------------------
;	Export
			.export		_main

; ---------------------------------------------------------
			.section	rom, code

; ---------------------------------------------------------
;	Initialize
			.org		H'000000
_main:
			mov.b		#LcdClear, R0L
			jsr			@LcdCommand
			jsr			@Wait2ms
			mov.l		#Line0Message, ER1
			jsr			@LcdPuts
			mov.b		#LcdLine1, R0L
			jsr			@LcdCommand
			mov.l		#Line1Message, ER1
			jsr			@LcdPuts
			mov.b		#LcdLine2, R0L
			jsr			@LcdCommand
			mov.l		#Line2Message, ER1
			jsr			@LcdPuts
			mov.b		#LcdLine3, R0L
			jsr			@LcdCommand
			mov.l		#Line3Message, ER1
			jsr			@LcdPuts
FreezeLoop:
			sleep
			bra			FreezeLoop

; ---------------------------------------------------------
;	Datas
Line0Message:
			.sdata		"Hello, World!"<0>
Line1Message:
			.sdata		"Test Program"<0>
Line2Message:
			.sdata		"  =(^^)="<0>
Line3Message:
			.sdata		"   (..)/"<0>
			.end
